# Contribution Guide

## Got a Question or Problem?
Please take a look at the [wiki](https://github.com/moonlight-stream/moonlight-embedded/wiki) for answers to your questions about using Moonlight Embedded.

If you still have questions about Moonlight Embedded, please use one of the different forums discussing Moonlight Embedded.

[XDA](http://forum.xda-developers.com/showthread.php?t=2505510) Moonlight in General  
[Raspberry Pi Forum](http://www.raspberrypi.org/forums/viewtopic.php?f=78&t=65878) Moonlight Embedded for Raspberry Pi  
[SolidRun Community](http://www.solid-run.com/community/viewtopic.php?f=13&t=1489&p=11173) Moonlight Embedded for Cubox-i and Hummingboard  
[ODROID Forum](http://forum.odroid.com/viewtopic.php?f=91&t=15456) Moonlight Embedded on ODROID  

## Found an Issue?
Found a bug in Moonlight Embedded? Please submit an issue. Ensure the following has been checked or we will mark the issue as invalid:
- [ ] The bug is in Moonlight Embedded. If the bug is in NVidia Geforce Experience or Steam the bug can not be fixed.
- [ ] Your system is set up correctly and there are no issues like a firewall misconfiguration.
- [ ] Verify there is no other bug report containing the same issue. Also, check closed issues in case your bug is already solved.

Provide as much information as possible about your setup and how to produce the issue so the chances are higher we can fix it. It's even better if you submit a Pull Request
with a fix.

## Feature request
There are not many developers working on Moonlight Embedded, and as such it currently doesn't make much sense to use the issue tracker to submit feature requests. Please try to implement feature requests yourself and submit a pull request, or discuss it on one of the forums to see if someone else can implement it.

## Submitting a Pull Request
Have you created a cool new feature or fixed a few bugs? You can submit a pull request, but before your request is merged check the following.
- [ ] Your branch is based on a recent commit and can be merged cleanly.
- [ ] Your code uses the same code style as the rest of the code.
- [ ] Your history is cleaned up and you provide one or multiple commits.
- [ ] Your commits only change the necessery lines, and do not accidently changes whitespace or add/remove empty lines.

If these guide lines are not met your pull request may not be mergeg or your pull request will reuire some cleanup before being merged. This depends on how necessary your code is.
